Bug 894770 - [abrt] xterm-286-1.fc17: copyLineData: Process /usr/bin/xterm was killed by signal 11 (SIGSEGV)
[abrt] xterm-286-1.fc17: copyLineData: Process /usr/bin/xterm was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
abrt_hash:e93788c8a9452e6c6d52fc153ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-13 12:59 EST by Aioanei Rares
Modified: 2013-08-01 01:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:16:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (1.53 KB, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: environ (3.17 KB, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: backtrace (22.45 KB, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: smolt_data (2.91 KB, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: cgroup (129 bytes, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: executable (14 bytes, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: maps (10.81 KB, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: dso_list (2.23 KB, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: proc_pid_status (921 bytes, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: open_fds (221 bytes, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details
File: var_log_messages (304 bytes, text/plain)
2013-01-13 12:59 EST, Aioanei Rares
no flags Details

  None (edit)
Description Aioanei Rares 2013-01-13 12:59:26 EST
Description of problem:
Trying to run xterm with absurd geometry values. Here's the exact cmdline: 
'xterm -bg Wheat -fg Navy -sl 1000 -sb -geometry 8001111x323'


Version-Release number of selected component:
xterm-286-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        xterm -bg Wheat -fg Navy -sl 1000 -sb -geometry 8001111x323
crash_function: copyLineData
kernel:         3.6.11-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 copyLineData at ./linedata.c:122
: #1 extractScrnData at ./screen.c:263
: #2 Reallocate at ./screen.c:502
: #3 ScreenResize at ./screen.c:1967
: #4 XtConfigureWidget at Geometry.c:681
: #5 XtResizeWidget at Geometry.c:594
: #6 XawVendorShellExtResize at Vendor.c:445
: #7 XtDispatchEventToWidget at Event.c:882
: #8 _XtDefaultDispatcher at Event.c:1344
: #9 XtDispatchEvent at Event.c:1423
Comment 1 Aioanei Rares 2013-01-13 12:59:30 EST
Created attachment 677818 [details]
File: core_backtrace
Comment 2 Aioanei Rares 2013-01-13 12:59:32 EST
Created attachment 677819 [details]
File: environ
Comment 3 Aioanei Rares 2013-01-13 12:59:34 EST
Created attachment 677820 [details]
File: backtrace
Comment 4 Aioanei Rares 2013-01-13 12:59:36 EST
Created attachment 677821 [details]
File: limits
Comment 5 Aioanei Rares 2013-01-13 12:59:38 EST
Created attachment 677822 [details]
File: smolt_data
Comment 6 Aioanei Rares 2013-01-13 12:59:40 EST
Created attachment 677823 [details]
File: cgroup
Comment 7 Aioanei Rares 2013-01-13 12:59:42 EST
Created attachment 677824 [details]
File: executable
Comment 8 Aioanei Rares 2013-01-13 12:59:45 EST
Created attachment 677825 [details]
File: maps
Comment 9 Aioanei Rares 2013-01-13 12:59:47 EST
Created attachment 677826 [details]
File: dso_list
Comment 10 Aioanei Rares 2013-01-13 12:59:49 EST
Created attachment 677827 [details]
File: proc_pid_status
Comment 11 Aioanei Rares 2013-01-13 12:59:51 EST
Created attachment 677828 [details]
File: open_fds
Comment 12 Aioanei Rares 2013-01-13 12:59:53 EST
Created attachment 677829 [details]
File: var_log_messages
Comment 13 Thomas E. Dickey 2013-01-14 06:53:53 EST
In a quick check, I get

xterm: Error 91, errno 12: Cannot allocate memory
Reason: Alloc: calloc() failed on rows

(I see that the limits are higher on your machine than my VM - perhaps that
allows the geometry to get into some interesting area).
Comment 14 Fedora End Of Life 2013-07-03 21:07:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 01:16:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.